<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core"
	template="/templates/template.xhtml">
	<ui:define name="content">
    <h:form>
    	<h3 style="margin-top:0">Municipio</h3>
    	<p:separator></p:separator>
        <p:panelGrid columns="3" >
<p:outputLabel for="provincia" value="Provincia :"/>
       			<p:selectOneMenu value="#{municipioMB.instance.provincia}" converter="provinciaConverter" required="true" label="Provincia" id="provincia">
                		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
                		<f:selectItems value="#{commonSelectorsMB.getProvincias(municipioMB.instance.provincia)}" var="provincia"
                               itemValue="#{provincia}"
                               itemLabel="#{provincia.nombre}"/>	            	
            	</p:selectOneMenu>
				<p:message for="provincia" display="icon"/>        
				
                <p:outputLabel for="nombre" value="Municipio : " />
                <p:inputText id="nombre" value="#{municipioMB.instance.nombre}" label="Municipio" required="true"/>
                <p:message  for="nombre" display="icon"/>
            
                
            
		</p:panelGrid>
        <p:commandButton id="add" value="Guardar" action="#{municipioMB.save}" ajax="false"/>
        <p:commandButton id="cancel" value="Cancelar" action="#{municipioMB.cancel}" ajax="false" immediate="true"/>
    	<input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>
    </h:form>
	</ui:define>
</ui:composition>